(message "Loading packages..")
(setq cce/did-refresh-packages nil)
(defun install-pkg (pkg)
  (unless (package-installed-p pkg)
    (unless cce/did-refresh-packages
      (package-refresh-contents)
      (setq cce/did-refresh-packages t))
    (package-install pkg)))

(package-initialize)

(install-pkg 'use-package)

(use-package elixir-mode :ensure t :demand)
(require 'ob)
(add-to-list 'org-babel-default-header-args '(:comments . "link"))
(add-to-list 'org-babel-default-header-args '(:mkdirp . "yes"))

(message "Tangling")
